import * as appstate from '../../appstate.js';
import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
export declare class OpsViewUsers extends DeesElement {
    accessor usersState: appstate.IUsersState;
    accessor loginState: appstate.ILoginState;
    constructor();
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private renderRoleBadge;
    private showCreateUserDialog;
    private showDeleteUserDialog;
    firstUpdated(): Promise<void>;
}
